Update Customer
curl --request PATCH \
--url https://api-sandbox.y.uno/v1/customers/{customer_id} \
--header 'Content-Type: application/json' \
--data '
{
"email": "john.updated@example.com",
"phone": {
"country_code": "+1",
"number": "5550000099"
}
}
'import requests
url = "https://api-sandbox.y.uno/v1/customers/{customer_id}"
payload = {
"email": "john.updated@example.com",
"phone": {
"country_code": "+1",
"number": "5550000099"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'john.updated@example.com',
phone: {country_code: '+1', number: '5550000099'}
})
};
fetch('https://api-sandbox.y.uno/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_customer_id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"country": "<string>",
"document": {
"document_number": "<string>"
},
"phone": {
"country_code": "+1",
"number": "5550000001"
},
"billing_address": {
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"neighborhood": "<string>"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Customers
Update Customer
Update an existing customer’s details against the sandbox-tested API.
PATCH
/
v1
/
customers
/
{customer_id}
Update Customer
Path Parameters
Body
application/json
Response
200 - application/json
Customer updated
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
120Show child attributes
Show child attributes
Was this page helpful?
⌘I